%global         momorel 1

Name:           perl-URI
Version:        1.64
Release:        %{momorel}m%{?dist}
Summary:        Uniform Resource Identifiers (absolute and relative)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/URI/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/URI-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008001
BuildRequires:  perl-Business-ISBN
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MIME-Base64 >= 2
BuildRequires:  perl-Test
BuildRequires:  perl-Test-Simple
Requires:       perl-Business-ISBN
Requires:       perl-MIME-Base64 >= 2
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module implements the URI class. Objects of this class represent
"Uniform Resource Identifier references" as specified in RFC 2396 (and
updated by RFC 2732).

%prep
%setup -q -n URI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README uri-test
%{perl_vendorlib}/URI*
%{_mandir}/man3/*

%changelog
* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.64-1m)
- update to 1.64

* Sun Jul 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.63-1m)
- update to 1.63

* Sun Jul 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.62-1m)
- update to 1.62

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-9m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-8m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-2m)
- rebuild against perl-5.16.0

* Mon Mar 26 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.60-1m)
- update to 1.60

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.59-2m)
- rebuild against perl-5.14.2

* Tue Aug 16 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.59-1m)
- update to 1.59

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.58-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.58-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.58-2m)
- rebuild for new GCC 4.6

* Sun Jan 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.58-1m)
- update to 1.58

* Sun Jan 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.57-1m)
- update to 1.57

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.56-2m)
- rebuild for new GCC 4.5

* Thu Oct  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.56-1m)
- update to 1.56

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.55-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARIT Koichi <pulsar@momonga-linux.org>
- (1.55-1m)
- update to 1.55

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.54-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.54-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.54-2m)
- rebuild against perl-5.12.0

* Fri Apr  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.54-1m)
- update to 1.54

* Mon Mar 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.53-1m)
- update to 1.53

* Thu Dec 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.52-1m)
- update to 1.52

* Wed Nov 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.51-1m)
- Specfile re-generated by cpanspec 1.78 for Momonga Linux.
- update to 1.51

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.40-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.40-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.40-1m)
- update to 1.40

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.38-1m)
- update to 1.38

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.37-2m)
- rebuild against rpm-4.6

* Mon Jun 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.37-1m)
- update to 1.37

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.36-1m)
- update to 1.36

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.35-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.35-5m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.35-4m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.35-3m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.35-2m)
- rebuilt against perl-5.8.7

* Sat Jun 04 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.35-1m)
- update to 1.35

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.30-4m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.30-3m)
- remove Epoch from BuildRequires

* Tue Apr  6 2004 Toru Hoshina <t@momonga-linux.org>
- (1.30-2m)
- don't miss source1.

* Tue Jan 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.30-1m)

* Thu Jan 08 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.29-1m)
- update to 1.29

* Wed Dec 03 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.28-1m)
- update to 1.28

* Sun Nov 30 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.27-7m)
- modify dependency

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.27-6m)
- modify dependency

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.27-5m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.27-4m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.27-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.27-2m)
- kill %%define name

* Sun Oct 12 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.27-1m)
- update to 1.27

* Thu Aug  7 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.24-1m)
- update to 1.24

* Sun Jan  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.23-1m)

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.22-2m)
- rebuild against perl-5.8.0

* Tue Nov 05 2002 Kenta MURATA <muraken@momonga-linux.org>
- (1.22-1m)
- version up.

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.19-1m)

* Sun Apr  7 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.18-4k)
- skip "make test" because testing URI is not found.

* Wed Feb 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.18-2k)

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.17-4k)
- rebuild against for perl-5.6.1

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (1.17-2k)
- merge from rawhide. based on 1.12-5.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.12-4
- imported from mandrake. tweaked man path.

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.12-3mdk
- BuildRequires:	perl-devel

* Tue Jul 03 2001 Francois Pons <fpons@mandrakesoft.com> 1.12-2mdk
- fixed reference to perl version number explicitely.
- added missing files in packages (?!).

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.12-1mdk
- 1.12.
- Clean up spec a little bit
- Needed by eGrail.
- Macronize a little bit more.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.10-2mdk
- Rebuild for the latest perl.

* Tue Jan 30 2001 Francois Pons <fpons@mandrakesoft.com> 1.10-1mdk
- 1.10.

* Tue Aug 29 2000 Francois Pons <fpons@mandrakesoft.com> 1.09-1mdk
- 1.09.

* Thu Aug 03 2000 Francois Pons <fpons@mandrakesoft.com> 1.08-1mdk
- macroszifications.
- update requires on perl version.
- noarch as no compilation done.
- added documentation.
- updated description.
- 1.08.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.07-1mdk
- update to 1.07

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.05-2mdk
- new group, rebuild, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 1.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com?
- bzip2'd sources
- updated to 1.04

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
